package com.doverfuelingsolutions.issp.api.service

import com.doverfuelingsolutions.issp.api.WayneApiConfig
import com.doverfuelingsolutions.issp.api.dto.CheckRequest
import com.doverfuelingsolutions.issp.api.dto.CheckResponse
import com.doverfuelingsolutions.issp.api.dto.ResultPayment
import com.wayne.www.waynelib.webservice.entity.PosTrxMop
import retrofit2.Call
import retrofit2.http.*

interface ServiceCheck {

    @POST(WayneApiConfig.CHECK_ORDER_STATE)
    fun checkOrderState(
        @Query("FuelItemTransactionEndTime") fuelItemTransactionEndTime: String,
        @Query("FuelItemFdcReleaseTokenAttribute") fuelItemFdcReleaseTokenAttribute: String,
        @Query("FuelItemOriginalGrossAmount") fuelItemOriginalGrossAmount:String,
        @Query("SeqNo") seqNo:String,
        @Query("NozzleId") nozzleId:String,
        @Query("sn") sn: String,
        @Query("token") token:String = "123456789"): Call<CheckResponse>
}