package com.doverfuelingsolutions.issp.utils

import android.os.Environment
import com.blankj.utilcode.util.FileUtils

class DFSPaths {

    companion object {

        private val dfs = "${ Environment.getExternalStorageDirectory().absolutePath }/dfs"
//        val settings = "$dfs/settings"
//        val log = "$dfs/log"
//        val videos = "$dfs/videos"
//        val banners = "$dfs/banners"
//        val logo = "$dfs/logo"
//        val defaultBanners = "$dfs/defaultBanners"
//        val speech = "$dfs/speech"
//        val remoteMedia = "$dfs/remotemedia"
        val download = "$dfs/download"
        val dowloadApp = "$download/app"
//        private val speechFemale = "$dfs/speech/female"
//        private val speechMale = "$dfs/speech/male"
//
//        val zfzs = "$dfs/zfzs" // 用于存储微信支付证书

        init {
            FileUtils.createOrExistsDir(dfs)
//            FileUtils.createOrExistsDir(videos)
//            FileUtils.createOrExistsDir(banners)
//            FileUtils.createOrExistsDir(logo)
//            FileUtils.createOrExistsDir(defaultBanners)
//            FileUtils.createOrExistsDir(speech)
//            FileUtils.createOrExistsDir(speechFemale)
//            FileUtils.createOrExistsDir(speechMale)
//            FileUtils.createOrExistsDir(zfzs)
            FileUtils.createOrExistsDir(download)
            FileUtils.createOrExistsDir(dowloadApp)
//            FileUtils.createOrExistsDir(remoteMedia)
        }
    }
}